## loupe 48.1

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: ['release', 'dev'],
  value: 'release',
  description: 'Cargo profile value.',
)
option(
  'app_id_suffix',
  type: 'combo',
  choices: ['', '.Devel'],
  value: '',
  description: 'Value will be appended to the app id.',
)
option(
  'x11',
  type: 'feature',
  description: 'Enable X11 specific features.',
)

## loupe 46.2

=== debian/changelog ===
loupe (46.2-2) unstable; urgency=medium

  * Stop patching futures-lite (Closes: #1078650)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 17 Aug 2024 12:43:22 +0200

loupe (46.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1071876, #1063682)
  * Bump Standards-Version to 4.7.0; no changes needed
  * Updated my mail address in d/copyright, d/control
  * d/p/patch-meson-build: refresh for new upstream
  * Updated dependencies in d/control from Cargo.toml for new upstream
  * d/p/relax-deps.diff: refresh for new upstream
  * d/control: depend on glycin-loaders 1.0.1
  * Updated d/copyright for new upstream release
  * d/rules: Explicitly build for x11, too
  * Updated d/watch for Gitlab API change

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 14:14:06 +0200

loupe (45.3-2) unstable; urgency=medium

  * Enable sandboxing for glycin-loaders; this was wrongfully enabled

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 08 Feb 2024 14:16:52 +0100

loupe (45.3-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Feb 2024 15:43:36 -0500

loupe (45.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1050851)

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 02 Sep 2023 18:47:14 +0100

=== debian/control ===
Source: loupe
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59.0),
 cargo:native,
 rustc:native (>= 1.70),
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.3.99),
 liblcms2-dev (>= 2.12.0),
 libgtk-4-dev (>= 4.14),
 libgweather-4-dev (>= 4.0.0),
 libstd-rust-dev,
 librust-anyhow-1+backtrace-dev (>= 1.0.66-~~),
 librust-anyhow-1+default-dev (>= 1.0.66-~~),
 librust-arc-swap-1+default-dev (>= 1.5.1-~~),
 librust-ashpd-0.8+default-dev,
 librust-ashpd-0.8+gtk4-wayland-dev,
 librust-async-channel-2+default-dev (>= 2.1.0-~~),
 librust-env-logger-0.10+default-dev,
 librust-futures-channel-0.3+default-dev (>= 0.3.25-~~),
 librust-futures-lite-2+default-dev (>= 2.1.0-~~),
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gettext-sys-0.21+default-dev (>= 0.21.3-~~),
 librust-gettext-sys-0.21+gettext-system-dev (>= 0.21.3-~~),
 librust-gio-0.19+default-dev (>= 0.19.0-~~),
 librust-gio-0.19+v2-74-dev (>= 0.19.0-~~),
 librust-glycin-1+default-dev (>= 1.0.1-~~),
 librust-gtk4-0.8+default-dev (>= 0.8.1-~~),
 librust-gtk4-0.8+v4-12-dev (>= 0.8.1-~~),
 librust-gtk4-0.8+xml-validation-dev (>= 0.8.1-~~),
 librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
 librust-indexmap-2+default-dev,
 librust-kamadak-exif-0.5+default-dev (>= 0.5.5-~~),
 librust-libadwaita-0.6+default-dev (>= 0.6.0-~~),
 librust-libadwaita-0.6+v1-4-dev (>= 0.6.0-~~),
 librust-libgweather-4+default-dev (>= 4.4.0-~~),
 librust-log-0.4+default-dev (>= 0.4.17-~~),
 librust-once-cell-1+default-dev (>= 1.16.0-~~),
 librust-url-2+default-dev (>= 2.3.1-~~)
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/GNOME/loupe
Vcs-Browser: https://salsa.debian.org/gnome-team/loupe
Vcs-Git: https://salsa.debian.org/gnome-team/loupe.git

Package: loupe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 glycin-loaders (>= 1.0.1-~~),
Description: Image viewer for GNOME
 Loupe is a simple image viewer for the GNOME desktop.
 It uses glycin-loaders for image loading and decoding.
 A wide range of image formats is supported.
 Starting with GNOME 45 this is the default image viewer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ 

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry

override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
	-Dx11=enabled

## loupe 47.0

=== debian/changelog ===
loupe (47.0-2) unstable; urgency=medium

  * d/rules: disable lto on armel/hf
  * d/rules: Increase timeout for tests on slow arches

 -- Matthias Geiger <werdahias@debian.org>  Mon, 23 Sep 2024 22:50:19 +0200

loupe (47.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1081756, #1082185)
  * d/control: Updated build dependencies for new upstream release
  * d/patches: Refresh for new upstream release

 -- Matthias Geiger <werdahias@debian.org>  Sun, 22 Sep 2024 16:00:28 +0200

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
  rustc:native (>= 1.70),
  desktop-file-utils,
  itstool,
- libadwaita-1-dev (>= 1.3.99),
+ libadwaita-1-dev (>= 1.6~alpha-~~),
  liblcms2-dev (>= 2.12.0),
- libgtk-4-dev (>= 4.14),
+ libgtk-4-dev (>= 4.15.3),
  libgweather-4-dev (>= 4.0.0),
+ libseccomp-dev (>= 2.5.0),
  libstd-rust-dev,
- librust-anyhow-1+backtrace-dev (>= 1.0.66-~~),
  librust-anyhow-1+default-dev (>= 1.0.66-~~),
- librust-arc-swap-1+default-dev (>= 1.5.1-~~),
- librust-ashpd-0.8+default-dev,
- librust-ashpd-0.8+gtk4-wayland-dev,
+ librust-arc-swap-1+default-dev (>= 1.6.0-~~),
+ librust-ashpd-0.9+default-dev,
+ librust-ashpd-0.9+gtk4-wayland-dev,
  librust-async-channel-2+default-dev (>= 2.1.0-~~),
  librust-env-logger-0.10+default-dev,
  librust-futures-channel-0.3+default-dev (>= 0.3.25-~~),
@@ -29,20 +29,28 @@
  librust-gettext-rs-0.7+gettext-system-dev,
  librust-gettext-sys-0.21+default-dev (>= 0.21.3-~~),
  librust-gettext-sys-0.21+gettext-system-dev (>= 0.21.3-~~),
- librust-gio-0.19+default-dev (>= 0.19.0-~~),
- librust-gio-0.19+v2-74-dev (>= 0.19.0-~~),
- librust-glycin-1+default-dev (>= 1.0.1-~~),
- librust-gtk4-0.8+default-dev (>= 0.8.1-~~),
- librust-gtk4-0.8+v4-12-dev (>= 0.8.1-~~),
- librust-gtk4-0.8+xml-validation-dev (>= 0.8.1-~~),
+ librust-gio-0.20+default-dev (>= 0.20.0-~~),
+ librust-gio-0.20+v2-74-dev (>= 0.20.0-~~),
+ librust-glycin-2+default-dev (>= 2.0.0~beta-~~),
+ librust-glycin-2+gdk4-dev (>= 2.0.0~beta-~~),
+ librust-gtk4-0.9+default-dev (>= 0.9.0-~~),
+ librust-gtk4-0.9+v4-14-dev (>= 0.9.0-~~),
+ librust-gtk4-0.9+xml-validation-dev (>= 0.9.0-~~),
+ librust-gufo-common-0.1+default-dev,
+ librust-gufo-common-0.1+serde-dev,
  librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
  librust-indexmap-2+default-dev,
  librust-kamadak-exif-0.5+default-dev (>= 0.5.5-~~),
- librust-libadwaita-0.6+default-dev (>= 0.6.0-~~),
- librust-libadwaita-0.6+v1-4-dev (>= 0.6.0-~~),
+ librust-libadwaita-0.7+default-dev (>= 0.7.0-~~),
+ librust-libadwaita-0.7+v1-6-dev (>= 0.7.0-~~),
  librust-libgweather-4+default-dev (>= 4.4.0-~~),
  librust-log-0.4+default-dev (>= 0.4.17-~~),
  librust-once-cell-1+default-dev (>= 1.16.0-~~),
+ librust-strum-0.26+default-dev,
+ librust-strum-0.26+derive-dev,
+ librust-tracing-subscriber-0.3+default-dev,
+ librust-tracing-subscriber-0.3+fmt-dev,
+ librust-tracing-subscriber-0.3+env-filter-dev,
  librust-url-2+default-dev (>= 2.3.1-~~)
 Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/GNOME/loupe

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,15 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
-	dh $@ 
+	dh $@
+
+# Disable lto on armel/hf since it OOMs otherwise
+# Using this hack for now because of a bug in dh-cargo
+execute_before_dh_auto_configure:
+ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
+	sed -i "s/lto = true/lto = false/" $(CURDIR)/Cargo.toml
+endif
+
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -25,3 +33,7 @@
 	dh_auto_configure -- \
 	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
 	-Dx11=enabled
+
+# Give the tests more time on slow arches
+override_dh_auto_test:
+	dh_auto_test --  --timeout-multiplier 2

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
    https://gitlab.gnome.org/GNOME/loupe/tags?sort=updated_desc -/archive/v?\d[\d.]+/loupe-v?([\d.]+)@ARCHIVE_EXT@

## loupe 47.1

=== debian/changelog ===
loupe (47.1-2) unstable; urgency=medium

  * d/rules: Disable lto correctly via DEB_BUILD_OPTIONS

 -- Matthias Geiger <werdahias@debian.org>  Thu, 24 Oct 2024 10:29:21 +0200

loupe (47.1-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Simplify, use only default dpkg include
  * d/rules: Simplify disabling of lto on 32-bit arches (Closes: #1085885)
  * d/copyright: Update for new upstream release
  * d/p/patch-meson-build.diff: Skip doctests in Cargo.toml, too

 -- Matthias Geiger <werdahias@debian.org>  Wed, 23 Oct 2024 19:52:40 +0200

loupe (47.0-3) unstable; urgency=medium

  * Further increase build test timeout

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Sep 2024 09:57:13 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE
export DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

# Disable lto on 32-bit arches since it OOMs otherwise
execute_before_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif


override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry

override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
	-Dx11=enabled

# Give the tests more time on slow arches
override_dh_auto_test:
	dh_auto_test --  --timeout-multiplier 5

## loupe 47.2

=== debian/changelog ===
loupe (47.2-1ubuntu2) plucky; urgency=medium

  * Revert Ubuntu changes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 08:03:35 -0500

loupe (47.2-1ubuntu1) plucky; urgency=medium

  * Temporarily build with rust 1.83 to fix build failure on armhf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 15:13:55 -0500

loupe (47.2-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glycin to 2.0.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Nov 2024 06:50:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: loupe
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Rules-Requires-Root: no
 Build-Depends:
@@ -31,8 +32,8 @@
  librust-gettext-sys-0.21+gettext-system-dev (>= 0.21.3-~~),
  librust-gio-0.20+default-dev (>= 0.20.0-~~),
  librust-gio-0.20+v2-74-dev (>= 0.20.0-~~),
- librust-glycin-2+default-dev (>= 2.0.0~beta-~~),
- librust-glycin-2+gdk4-dev (>= 2.0.0~beta-~~),
+ librust-glycin-2+default-dev (>= 2.0.2),
+ librust-glycin-2+gdk4-dev (>= 2.0.2),
  librust-gtk4-0.9+default-dev (>= 0.9.0-~~),
  librust-gtk4-0.9+v4-14-dev (>= 0.9.0-~~),
  librust-gtk4-0.9+xml-validation-dev (>= 0.9.0-~~),

## loupe 47.4

=== debian/changelog ===
loupe (47.4-1) unstable; urgency=medium

  * New upstream release
  * Set parallel=4 for dh_auto_install for armhf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 16:48:27 -0500

loupe (47.2-2) unstable; urgency=medium

  [ Matthias Geiger ]
  * Stop patching env-logger dependency

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 04 Jan 2025 16:29:42 -0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: loupe
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Rules-Requires-Root: no
 Build-Depends:
@@ -23,7 +22,7 @@
  librust-ashpd-0.9+default-dev,
  librust-ashpd-0.9+gtk4-wayland-dev,
  librust-async-channel-2+default-dev (>= 2.1.0-~~),
- librust-env-logger-0.10+default-dev,
+ librust-env-logger-0.11+default-dev,
  librust-futures-channel-0.3+default-dev (>= 0.3.25-~~),
  librust-futures-lite-2+default-dev (>= 2.1.0-~~),
  librust-gettext-rs-0.7+default-dev,

## loupe 48~beta

=== debian/changelog ===
loupe (48~beta-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Thu, 13 Feb 2025 17:51:58 +0100

loupe (48~beta-1) experimental; urgency=medium

  * New upstream release
    - This provides basic image editing functionality (Closes: #924404)
  * d/control: Update dependencies with debcargo
  * Refresh patch for new upstream
  * Add patch to relax gettext-sys dependency
  * Add patch to fix app suffix
  * d/control: Require glycin-loader 1.2~beta
  * d/control: Improve description
  * d/watch: Update to catch beta/rc releases, too

 -- Matthias Geiger <werdahias@debian.org>  Mon, 10 Feb 2025 00:02:48 +0100

=== debian/control ===
Source: loupe
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59.0),
 cargo:native,
 rustc:native (>= 1.70),
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.6~alpha-~~),
 liblcms2-dev (>= 2.12.0),
 libgtk-4-dev (>= 4.15.3),
 libgweather-4-dev (>= 4.0.0),
 libseccomp-dev (>= 2.5.0),
 libstd-rust-dev,
 cargo:native,
 rustc:native (>= 1.80),
 libxml2 (<= 2.12.7+dfsg+really2.9.14-0.2+b1),
 librust-anyhow-1+default-dev (>= 1.0.66-~~),
 librust-arc-swap-1+default-dev (>= 1.6.0-~~),
 librust-ashpd-0.10+async-std-dev (>= 0.10.2-~~),
 librust-ashpd-0.10+gtk4-wayland-dev (>= 0.10.2-~~),
 librust-async-channel-2+default-dev (>= 2.1.0-~~),
 librust-async-lock-3+default-dev (>= 3.4.0-~~),
 librust-cairo-rs-0.20+default-dev,
 librust-cairo-rs-0.20+pdf-dev,
 librust-chrono-0.4+std-dev (>= 0.4.38-~~),
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gettext-sys-0.21+default-dev (>= 0.21.0-~~),
 librust-gettext-sys-0.21+gettext-system-dev (>= 0.21.0-~~),
 librust-gio-0.20+default-dev,
 librust-gio-0.20+v2-74-dev,
 librust-glycin-2+default-dev (>= 2.1.0~beta-2),
 librust-glycin-2+gdk4-dev (>= 2.1.0~beta-2),
 librust-gtk4-0.9+default-dev (>= 0.9.5-~~),
 librust-gtk4-0.9+v4-14-dev (>= 0.9.5-~~),
 librust-gtk4-0.9+xml-validation-dev (>= 0.9.5-~~),
 librust-gufo-0.2+all-image-formats-dev,
 librust-gufo-0.2+default-dev,
 librust-gufo-0.2+chrono-dev,
 librust-gufo-common-0.2+default-dev,
 librust-gufo-common-0.2+serde-dev,
 librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
 librust-indexmap-2+default-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-6-dev,
 librust-libc-0.2+default-dev (>= 0.2.158-~~),
 librust-libgweather-4+default-dev (>= 4.4.0-~~),
 librust-log-0.4+default-dev (>= 0.4.17-~~),
 librust-strum-0.26+default-dev (>= 0.26.2-~~),
 librust-strum-0.26+derive-dev (>= 0.26.2-~~),
 librust-thiserror-2+default-dev (>= 2.0.3-~~),
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
 librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~),
 librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.18-~~),
 librust-url-2+default-dev (>= 2.3.1-~~),
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/GNOME/loupe
Vcs-Browser: https://salsa.debian.org/gnome-team/loupe
Vcs-Git: https://salsa.debian.org/gnome-team/loupe.git

Package: loupe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 glycin-loaders (>= 1.2~beta.1+ds-~~),
Description: Image viewer for GNOME
 Loupe is a simple image viewer for the GNOME desktop.
 It uses glycin-loaders for image loading and decoding.
 A wide range of image formats is supported.
 Basic image editing like cropping and rotation is supported.
 Starting with GNOME 45 this is the default image viewer.

## loupe 48~rc

=== debian/changelog ===
loupe (48~rc-2) unstable; urgency=medium

  * d/patches: Fix patch-meson-build to not override the app suffix
  * d/control: Drop duplicate cargo/rustc dependency

 -- Matthias Geiger <werdahias@debian.org>  Thu, 06 Mar 2025 15:28:19 +0100

loupe (48~rc-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update build-dependencies
  * Bump S-V to 4.7.2; no changes needed
  * d/patches: Refresh

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Mar 2025 01:11:47 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  meson (>= 0.59.0),
- cargo:native,
- rustc:native (>= 1.70),
  desktop-file-utils,
  itstool,
  libadwaita-1-dev (>= 1.6~alpha-~~),
@@ -19,11 +17,10 @@
  libstd-rust-dev,
  cargo:native,
  rustc:native (>= 1.80),
- libxml2 (<= 2.12.7+dfsg+really2.9.14-0.2+b1),
  librust-anyhow-1+default-dev (>= 1.0.66-~~),
  librust-arc-swap-1+default-dev (>= 1.6.0-~~),
- librust-ashpd-0.10+async-std-dev (>= 0.10.2-~~),
- librust-ashpd-0.10+gtk4-wayland-dev (>= 0.10.2-~~),
+ librust-ashpd-0.11+async-std-dev (>= 0.11.0-~~),
+ librust-ashpd-0.11+gtk4-wayland-dev (>= 0.11.0-~~),
  librust-async-channel-2+default-dev (>= 2.1.0-~~),
  librust-async-lock-3+default-dev (>= 3.4.0-~~),
  librust-cairo-rs-0.20+default-dev,
@@ -35,8 +32,8 @@
  librust-gettext-sys-0.21+gettext-system-dev (>= 0.21.0-~~),
  librust-gio-0.20+default-dev,
  librust-gio-0.20+v2-74-dev,
- librust-glycin-2+default-dev (>= 2.1.0~beta-2),
- librust-glycin-2+gdk4-dev (>= 2.1.0~beta-2),
+ librust-glycin-2+default-dev (>= 2.1.0~rc-~~),
+ librust-glycin-2+gdk4-dev (>= 2.1.0~rc-~~),
  librust-gtk4-0.9+default-dev (>= 0.9.5-~~),
  librust-gtk4-0.9+v4-14-dev (>= 0.9.5-~~),
  librust-gtk4-0.9+xml-validation-dev (>= 0.9.5-~~),
@@ -59,7 +56,7 @@
  librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~),
  librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.18-~~),
  librust-url-2+default-dev (>= 2.3.1-~~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/loupe
 Vcs-Browser: https://salsa.debian.org/gnome-team/loupe
 Vcs-Git: https://salsa.debian.org/gnome-team/loupe.git

## loupe 48.0

=== debian/changelog ===
loupe (48.0-2) unstable; urgency=medium

  * d/control: Bump libadwaita version to 1.7.0 (Closes: #1100917)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 22 Mar 2025 22:23:43 +0100

loupe (48.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump minumum glycin dependency
  * d/patches: Refresh for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Fri, 14 Mar 2025 21:44:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  meson (>= 0.59.0),
  desktop-file-utils,
  itstool,
- libadwaita-1-dev (>= 1.6~alpha-~~),
+ libadwaita-1-dev (>= 1.7.0-~~),
  liblcms2-dev (>= 2.12.0),
  libgtk-4-dev (>= 4.15.3),
  libgweather-4-dev (>= 4.0.0),
@@ -32,8 +32,8 @@
  librust-gettext-sys-0.21+gettext-system-dev (>= 0.21.0-~~),
  librust-gio-0.20+default-dev,
  librust-gio-0.20+v2-74-dev,
- librust-glycin-2+default-dev (>= 2.1.0~rc-~~),
- librust-glycin-2+gdk4-dev (>= 2.1.0~rc-~~),
+ librust-glycin-2+default-dev (>= 2.1.0-~~),
+ librust-glycin-2+gdk4-dev (>= 2.1.0-~~),
  librust-gtk4-0.9+default-dev (>= 0.9.5-~~),
  librust-gtk4-0.9+v4-14-dev (>= 0.9.5-~~),
  librust-gtk4-0.9+xml-validation-dev (>= 0.9.5-~~),

=== debian/rules ===
--- 
+++ 
@@ -35,3 +35,6 @@
 # Give the tests more time on slow arches
 override_dh_auto_test:
 	dh_auto_test --  --timeout-multiplier 5
+
+override_dh_auto_install:
+	$(if $(findstring armhf,$(DEB_HOST_ARCH)), DEB_BUILD_OPTIONS="parallel=4 $(filter-out parallel=%,$(DEB_BUILD_OPTIONS))") dh_auto_install

## loupe 48.1

=== debian/changelog ===
loupe (48.1-3ubuntu1) questing; urgency=medium

  * Vendor the rust crates for Ubuntu (as part of the MIR request)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Jul 2025 15:13:01 +0200

loupe (48.1-3) unstable; urgency=medium

  * d/rules: Fix dh-cargo-built-using call
  * d/copyright: Update copyright info

 -- Matthias Geiger <werdahias@debian.org>  Mon, 28 Apr 2025 08:04:33 +0200

loupe (48.1-2) unstable; urgency=medium

  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 17:57:46 -0400

loupe (48.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: Require glycin >= 2.1.1
  * d/patches: Refresh for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Sat, 12 Apr 2025 17:37:46 +0200

=== debian/control ===
Source: loupe
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59.0),
 quilt,
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.7.0-~~),
 liblcms2-dev (>= 2.12.0),
 libgtk-4-dev (>= 4.15.3),
 libgweather-4-dev (>= 4.0.0),
 libseccomp-dev (>= 2.5.0),
 dh-cargo,
 libstd-rust-dev,
 cargo:native,
 rustc:native (>= 1.80),
# librust-anyhow-1+default-dev (>= 1.0.66-~~),
# librust-arc-swap-1+default-dev (>= 1.6.0-~~),
# librust-ashpd-0.11+async-std-dev (>= 0.11.0-~~),
# librust-ashpd-0.11+gtk4-wayland-dev (>= 0.11.0-~~),
# librust-async-channel-2+default-dev (>= 2.1.0-~~),
# librust-async-lock-3+default-dev (>= 3.4.0-~~),
# librust-cairo-rs-0.20+default-dev,
# librust-cairo-rs-0.20+pdf-dev,
# librust-chrono-0.4+std-dev (>= 0.4.38-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-gettext-sys-0.21+default-dev (>= 0.21.0-~~),
# librust-gettext-sys-0.21+gettext-system-dev (>= 0.21.0-~~),
# librust-gio-0.20+default-dev,
# librust-gio-0.20+v2-74-dev,
# librust-glycin-2+default-dev (>= 2.1.1-~~),
# librust-glycin-2+gdk4-dev (>= 2.1.1-~~),
# librust-gtk4-0.9+default-dev (>= 0.9.5-~~),
# librust-gtk4-0.9+v4-14-dev (>= 0.9.5-~~),
# librust-gtk4-0.9+xml-validation-dev (>= 0.9.5-~~),
# librust-gufo-0.2+all-image-formats-dev,
# librust-gufo-0.2+default-dev,
# librust-gufo-0.2+chrono-dev,
# librust-gufo-common-0.2+default-dev,
# librust-gufo-common-0.2+serde-dev,
# librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
# librust-indexmap-2+default-dev,
# librust-libadwaita-0.7+default-dev,
# librust-libadwaita-0.7+v1-6-dev,
# librust-libc-0.2+default-dev (>= 0.2.158-~~),
# librust-libgweather-4+default-dev (>= 4.4.0-~~),
# librust-log-0.4+default-dev (>= 0.4.17-~~),
# librust-strum-0.26+default-dev (>= 0.26.2-~~),
# librust-strum-0.26+derive-dev (>= 0.26.2-~~),
# librust-thiserror-2+default-dev (>= 2.0.3-~~),
# librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.18-~~),
# librust-url-2+default-dev (>= 2.3.1-~~),
XS-Vendored-Sources-Rust: adler2@2.0.0, aho-corasick@1.1.3, anyhow@1.0.96, arc-swap@1.7.1, ashpd@0.11.0, async-broadcast@0.7.2, async-channel@2.3.1, async-executor@1.13.1, async-fs@2.1.2, async-io@2.4.0, async-lock@3.4.0, async-net@2.0.0, async-process@2.3.0, async-signal@0.2.10, async-task@4.7.1, async-trait@0.1.86, atomic-waker@1.1.2, autocfg@1.4.0, bitflags@1.3.2, bitflags@2.8.0, blocking@1.6.1, bytemuck@1.21.0, byteorder@1.5.0, cairo-rs@0.20.7, cairo-sys-rs@0.20.7, cc@1.2.16, cfg-expr@0.17.2, cfg-if@1.0.0, cfg_aliases@0.2.1, chrono@0.4.40, concurrent-queue@2.5.0, crc32fast@1.4.2, crossbeam-utils@0.8.21, displaydoc@0.2.5, dlib@0.5.2, dunce@1.0.5, endi@1.1.0, enumflags2@0.7.11, enumflags2_derive@0.7.11, env_filter@0.1.3, env_logger@0.11.6, equivalent@1.0.2, errno@0.3.10, event-listener-strategy@0.5.3, event-listener@5.4.0, fastrand@2.3.0, field-offset@0.3.6, flate2@1.1.0, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.1, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.0, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gdk-pixbuf-sys@0.20.7, gdk-pixbuf@0.20.9, gdk4-sys@0.9.6, gdk4-wayland-sys@0.9.6, gdk4-wayland@0.9.6, gdk4-x11-sys@0.9.6, gdk4-x11@0.9.6, gdk4@0.9.6, getrandom@0.3.1, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.20.9, gio@0.20.9, glib-macros@0.20.7, glib-sys@0.20.9, glib@0.20.9, glycin-utils@3.0.1, glycin@2.1.1, gobject-sys@0.20.9, graphene-rs@0.20.9, graphene-sys@0.20.7, gsk4-sys@0.9.6, gsk4@0.9.6, gtk4-macros@0.9.5, gtk4-sys@0.9.6, gtk4@0.9.6, gufo-common@0.2.0, gufo-exif@0.2.0, gufo-jpeg@0.2.0, gufo-png@0.2.0, gufo-tiff@0.2.0, gufo-webp@0.2.0, gufo-xmp@0.2.0, gufo@0.2.0, gvdb-macros@0.1.14, gvdb@0.8.0, gweather-sys@4.5.0, hashbrown@0.15.2, heck@0.5.0, hex@0.4.3, humantime@2.1.0, icu_collections@1.5.0, icu_locid@1.5.0, icu_locid_transform@1.5.0, icu_locid_transform_data@1.5.0, icu_normalizer@1.5.0, icu_normalizer_data@1.5.0, icu_properties@1.5.1, icu_properties_data@1.5.0, icu_provider@1.5.0, icu_provider_macros@1.5.0, idna@1.0.3, idna_adapter@1.2.0, indexmap@2.7.1, itoa@1.0.14, jobserver@0.1.32, lazy_static@1.5.0, lcms2-sys@4.0.5, lcms2@6.1.0, libadwaita-sys@0.7.1, libadwaita@0.7.1, libc@0.2.170, libgweather@4.5.0, libloading@0.8.6, libseccomp-sys@0.2.1, libseccomp@0.3.0, linux-raw-sys@0.4.15, litemap@0.7.5, litrs@0.4.1, locale_config@0.3.0, log@0.4.26, matchers@0.1.0, memchr@2.7.4, memfd@0.6.4, memmap2@0.9.5, memoffset@0.9.1, miniz_oxide@0.8.5, nix@0.29.0, nu-ansi-term@0.46.0, num-traits@0.2.19, once_cell@1.20.3, ordered-stream@0.2.0, overload@0.1.1, pango-sys@0.20.9, pango@0.20.9, parking@2.2.1, paste@1.0.15, percent-encoding@2.3.1, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.31, polling@3.7.4, ppv-lite86@0.2.20, proc-macro-crate@3.2.0, proc-macro2@1.0.93, quick-xml@0.37.2, quote@1.0.38, rand@0.9.0, rand_chacha@0.9.0, rand_core@0.9.2, regex-automata@0.1.10, regex-automata@0.4.9, regex-syntax@0.6.29, regex-syntax@0.8.5, regex@1.11.1, rmp-serde@1.3.0, rmp@0.8.14, rustc_version@0.4.1, rustix@0.38.44, rustversion@1.0.19, ryu@1.0.19, same-file@1.0.6, semver@1.0.25, serde@1.0.218, serde_derive@1.0.218, serde_json@1.0.139, serde_repr@0.1.19, serde_spanned@0.6.8, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.2, slab@0.4.9, smallvec@1.14.0, stable_deref_trait@1.2.0, static_assertions@1.1.0, strum@0.27.1, strum_macros@0.27.1, syn@2.0.98, synstructure@0.13.1, system-deps@7.0.3, target-lexicon@0.12.16, temp-dir@0.1.14, thiserror-impl@2.0.11, thiserror@2.0.11, thread_local@1.1.8, tinystr@0.7.6, toml@0.8.20, toml_datetime@0.6.8, toml_edit@0.22.24, tracing-attributes@0.1.28, tracing-core@0.1.33, tracing-log@0.2.0, tracing-subscriber@0.3.19, tracing@0.1.41, unicode-ident@1.0.17, url@2.5.4, utf16_iter@1.0.5, utf8_iter@1.0.4, version-compare@0.2.0, walkdir@2.5.0, winnow@0.7.3, write16@1.0.0, writeable@0.5.5, xdg-home@1.3.0, xml-rs@0.8.25, yeslogic-fontconfig-sys@6.0.0, yoke-derive@0.7.5, yoke@0.7.5, zbus@5.5.0, zbus_macros@5.5.0, zbus_names@4.2.0, zerocopy-derive@0.7.35, zerocopy-derive@0.8.21, zerocopy@0.7.35, zerocopy@0.8.21, zerofrom-derive@0.1.6, zerofrom@0.1.6, zerovec-derive@0.10.3, zerovec@0.10.4, zvariant@5.4.0, zvariant_derive@5.4.0, zvariant_utils@3.2.0
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Loupe/
Vcs-Browser: https://salsa.debian.org/gnome-team/loupe
Vcs-Git: https://salsa.debian.org/gnome-team/loupe.git

Package: loupe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 glycin-loaders (>= 1.2~beta.1+ds-~~),
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Image viewer for GNOME
 Loupe is a simple image viewer for the GNOME desktop.
 It uses glycin-loaders for image loading and decoding.
 A wide range of image formats is supported.
 Basic image editing like cropping and rotation is supported.
 Starting with GNOME 45 this is the default image viewer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

# Disable lto on 32-bit arches since it OOMs otherwise
execute_before_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif


override_dh_auto_configure:
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
	-Dx11=enabled

# Give the tests more time on slow arches
override_dh_auto_test:
	dh_auto_test --  --timeout-multiplier 5

override_dh_auto_install:
	$(if $(findstring armhf,$(DEB_HOST_ARCH)), DEB_BUILD_OPTIONS="parallel=4 $(filter-out parallel=%,$(DEB_BUILD_OPTIONS))") dh_auto_install

vendor:
	dh_quilt_patch
	rm -f .cargo/config
	rm -rf debian/missing-sources/
	$ cargo vendor-filterer --platform='*-*-linux-gnu' --platform '*-*-linux-gnueabi' \
	  --exclude-crate-path system-deps#src/tests/lib/libteststatic.a --all-features \
	  debian/missing-sources/
	git add -f debian/missing-sources
	git commit -m "Update vendored rust crates" || true
	git reset --hard && git clean -fdx

	uscan --download-current-version --destdir=..
	rm debian/source/include-binaries
	dpkg-source --include-binaries -b .
	git add debian/source/include-binaries
	git commit -m "Update debian/source/include-binaries" || true
	git reset --hard && git clean -fdx

## loupe 49~beta

=== debian/changelog ===
loupe (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2120186, LP: #2120829)
  * d/p/patch-meson-build.diff: Rebase patch
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * d/control: Depends on glycin-loaders ABI version 2
  * d/p: Try to improve background color for transparent images
    (Closes: #1092943)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 18 Aug 2025 13:56:00 +0200

=== debian/control ===
Source: loupe
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59.0),
 quilt,
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.7.0-~~),
 liblcms2-dev (>= 2.12.0),
 libgtk-4-dev (>= 4.15.3),
 libgweather-4-dev (>= 4.0.0),
 libseccomp-dev (>= 2.5.0),
 dh-cargo,
 libstd-rust-dev,
 cargo:native,
 rustc:native (>= 1.80),
# librust-anyhow-1+default-dev (>= 1.0.66-~~),
# librust-arc-swap-1+default-dev (>= 1.6.0-~~),
# librust-ashpd-0.11+async-std-dev (>= 0.11.0-~~),
# librust-ashpd-0.11+gtk4-wayland-dev (>= 0.11.0-~~),
# librust-async-channel-2+default-dev (>= 2.1.0-~~),
# librust-async-lock-3+default-dev (>= 3.4.0-~~),
# librust-cairo-rs-0.20+default-dev,
# librust-cairo-rs-0.20+pdf-dev,
# librust-chrono-0.4+std-dev (>= 0.4.38-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-gettext-sys-0.21+default-dev (>= 0.21.0-~~),
# librust-gettext-sys-0.21+gettext-system-dev (>= 0.21.0-~~),
# librust-gio-0.20+default-dev,
# librust-gio-0.20+v2-74-dev,
# librust-glycin-2+default-dev (>= 2.1.1-~~),
# librust-glycin-2+gdk4-dev (>= 2.1.1-~~),
# librust-gtk4-0.9+default-dev (>= 0.9.5-~~),
# librust-gtk4-0.9+v4-14-dev (>= 0.9.5-~~),
# librust-gtk4-0.9+xml-validation-dev (>= 0.9.5-~~),
# librust-gufo-0.2+all-image-formats-dev,
# librust-gufo-0.2+default-dev,
# librust-gufo-0.2+chrono-dev,
# librust-gufo-common-0.2+default-dev,
# librust-gufo-common-0.2+serde-dev,
# librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
# librust-indexmap-2+default-dev,
# librust-libadwaita-0.7+default-dev,
# librust-libadwaita-0.7+v1-6-dev,
# librust-libc-0.2+default-dev (>= 0.2.158-~~),
# librust-libgweather-4+default-dev (>= 4.4.0-~~),
# librust-log-0.4+default-dev (>= 0.4.17-~~),
# librust-strum-0.26+default-dev (>= 0.26.2-~~),
# librust-strum-0.26+derive-dev (>= 0.26.2-~~),
# librust-thiserror-2+default-dev (>= 2.0.3-~~),
# librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.18-~~),
# librust-url-2+default-dev (>= 2.3.1-~~),
XS-Vendored-Sources-Rust: adler2@2.0.1, aho-corasick@1.1.3, anyhow@1.0.98, arc-swap@1.7.1, ashpd@0.11.0, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.2, async-fs@2.1.3, async-io@2.5.0, async-lock@3.4.0, async-net@2.0.0, async-process@2.4.0, async-signal@0.2.12, async-task@4.7.1, async-trait@0.1.88, atomic-waker@1.1.2, autocfg@1.5.0, bitflags@1.3.2, bitflags@2.9.1, blocking@1.6.2, bytemuck@1.23.1, byteorder@1.5.0, cairo-rs@0.20.12, cairo-sys-rs@0.20.10, cc@1.2.31, cfg-expr@0.18.0, cfg-if@1.0.1, cfg_aliases@0.2.1, chrono@0.4.41, concurrent-queue@2.5.0, crc32fast@1.5.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, displaydoc@0.2.5, dlib@0.5.2, dunce@1.0.5, either@1.15.0, encoding_rs@0.8.35, endi@1.1.0, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.3, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.13, event-listener-strategy@0.5.4, event-listener@5.4.0, fastrand@2.3.0, field-offset@0.3.6, flate2@1.1.2, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.1, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.0, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gdk-pixbuf-sys@0.20.10, gdk-pixbuf@0.20.10, gdk4-sys@0.9.6, gdk4-wayland-sys@0.9.6, gdk4-wayland@0.9.6, gdk4-x11-sys@0.9.6, gdk4-x11@0.9.6, gdk4@0.9.6, getrandom@0.3.3, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.20.10, gio@0.20.12, glib-macros@0.20.12, glib-sys@0.20.10, glib@0.20.12, glycin-common@1.0.0-beta.1, glycin-utils@4.0.0-beta.1, glycin@3.0.0-beta.1, gobject-sys@0.20.10, graphene-rs@0.20.10, graphene-sys@0.20.10, gsk4-sys@0.9.6, gsk4@0.9.6, gtk4-macros@0.9.5, gtk4-sys@0.9.6, gtk4@0.9.7, gufo-common@1.0.0-beta, gufo-exif@0.3.0-beta, gufo-jpeg@0.3.0-beta, gufo-png@0.3.0-beta, gufo-tiff@0.3.0-beta, gufo-webp@0.3.0-beta, gufo-xmp@0.3.0-beta, gufo@0.3.0-beta, gvdb-macros@0.1.14, gvdb@0.8.0, gweather-sys@4.5.0, half@2.6.0, hashbrown@0.15.4, heck@0.5.0, hex@0.4.3, icu_collections@1.5.0, icu_locid@1.5.0, icu_locid_transform@1.5.0, icu_locid_transform_data@1.5.1, icu_normalizer@1.5.0, icu_normalizer_data@1.5.1, icu_properties@1.5.1, icu_properties_data@1.5.1, icu_provider@1.5.0, icu_provider_macros@1.5.0, idna@1.0.3, idna_adapter@1.2.0, indexmap@2.10.0, itoa@1.0.15, jiff@0.2.15, jobserver@0.1.33, lazy_static@1.5.0, lcms2-sys@4.0.6, lcms2@6.1.1, libadwaita-sys@0.7.2, libadwaita@0.7.2, libc@0.2.174, libgweather@4.5.0, libloading@0.8.8, libseccomp-sys@0.2.1, libseccomp@0.3.0, linux-raw-sys@0.4.15, linux-raw-sys@0.9.4, litemap@0.7.5, litrs@0.4.2, locale_config@0.3.0, log@0.4.27, matchers@0.1.0, memchr@2.7.5, memfd@0.6.4, memmap2@0.9.7, memoffset@0.9.1, miniz_oxide@0.8.9, nix@0.29.0, nix@0.30.1, nu-ansi-term@0.46.0, num-traits@0.2.19, once_cell@1.21.3, ordered-stream@0.2.0, overload@0.1.1, pango-sys@0.20.10, pango@0.20.12, parking@2.2.1, paste@1.0.15, percent-encoding@2.3.1, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, polling@3.9.0, ppv-lite86@0.2.21, proc-macro-crate@3.3.0, proc-macro2@1.0.95, quick-xml@0.37.5, quote@1.0.40, rand@0.9.2, rand_chacha@0.9.0, rand_core@0.9.3, rayon-core@1.12.1, rayon@1.10.0, regex-automata@0.1.10, regex-automata@0.4.9, regex-syntax@0.6.29, regex-syntax@0.8.5, regex@1.11.1, rmp-serde@1.3.0, rmp@0.8.14, rustc_version@0.4.1, rustix@0.38.44, rustix@1.0.8, ryu@1.0.20, same-file@1.0.6, semver@1.0.26, serde@1.0.219, serde_derive@1.0.219, serde_json@1.0.142, serde_repr@0.1.20, serde_spanned@0.6.9, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.5, slab@0.4.10, smallvec@1.15.1, stable_deref_trait@1.2.0, static_assertions@1.1.0, strum@0.27.2, strum_macros@0.27.2, syn@2.0.104, synstructure@0.13.2, system-deps@7.0.5, target-lexicon@0.13.2, temp-dir@0.1.16, thiserror-impl@2.0.12, thiserror@2.0.12, thread_local@1.1.9, tinystr@0.7.6, toml@0.8.23, toml_datetime@0.6.11, toml_edit@0.22.27, tracing-attributes@0.1.30, tracing-core@0.1.34, tracing-log@0.2.0, tracing-subscriber@0.3.19, tracing@0.1.41, unicode-ident@1.0.18, url@2.5.4, utf16_iter@1.0.5, utf8_iter@1.0.4, version-compare@0.2.0, walkdir@2.5.0, winnow@0.7.12, write16@1.0.0, writeable@0.5.5, xml-rs@0.8.27, yeslogic-fontconfig-sys@6.0.0, yoke-derive@0.7.5, yoke@0.7.5, zbus@5.9.0, zbus_macros@5.9.0, zbus_names@4.2.0, zerocopy-derive@0.8.26, zerocopy@0.8.26, zerofrom-derive@0.1.6, zerofrom@0.1.6, zerovec-derive@0.10.3, zerovec@0.10.4, zvariant@5.6.0, zvariant_derive@5.6.0, zvariant_utils@3.2.0
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Loupe/
Vcs-Browser: https://salsa.debian.org/gnome-team/loupe
Vcs-Git: https://salsa.debian.org/gnome-team/loupe.git

Package: loupe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 glycin-loaders (>= 2~),
 glycin-loaders (<< 3~),
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Image viewer for GNOME
 Loupe is a simple image viewer for the GNOME desktop.
 It uses glycin-loaders for image loading and decoding.
 A wide range of image formats is supported.
 Basic image editing like cropping and rotation is supported.
 Starting with GNOME 45 this is the default image viewer.

## loupe 49~rc

=== debian/changelog ===
loupe (49~rc-3) unstable; urgency=medium

  * Upload to unstable
  * d/control: Remove artificial pinning
  * d/patches: Cherry-pick latest upstream commit to build with newer glycin

 -- Matthias Geiger <werdahias@debian.org>  Mon, 08 Sep 2025 17:48:27 +0200

loupe (49~rc-2) experimental; urgency=medium

  * d/p/patch-meson.diff: Fix to only patch CARGO_HOME
  * d/control: Bump dependency on glycin-loaders

 -- Matthias Geiger <werdahias@debian.org>  Wed, 03 Sep 2025 18:54:20 +0200

loupe (49~rc-1) experimental; urgency=medium

  * New upstream release
  * d/control: Update B-D with debcargo
  * Refresh patches
  * d/control: Add artifical pinning on librust-libseccomp to fix build

 -- Matthias Geiger <werdahias@debian.org>  Wed, 03 Sep 2025 18:54:17 +0200

=== debian/control ===
Source: loupe
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59.0),
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.7.0-~~),
 liblcms2-dev (>= 2.12.0),
 libgtk-4-dev (>= 4.16),
 libgweather-4-dev (>= 4.0.0),
 libseccomp-dev (>= 2.5.0),
 dh-cargo,
 libstd-rust-dev,
 cargo:native,
 rustc:native (>= 1.83),
 librust-anyhow-1+default-dev (>= 1.0.66-~~),
 librust-arc-swap-1+default-dev (>= 1.6.0-~~),
 librust-ashpd-0.12+async-std-dev,
 librust-ashpd-0.12+gtk4-wayland-dev,
 librust-async-channel-2+default-dev (>= 2.1.0-~~),
 librust-async-lock-3+default-dev (>= 3.4.0-~~),
 librust-cairo-rs-0.21+default-dev,
 librust-cairo-rs-0.21+pdf-dev,
 librust-chrono-0.4+std-dev (>= 0.4.38-~~),
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gettext-sys-0.21+default-dev (>= 0.21.0-~~),
 librust-gettext-sys-0.21+gettext-system-dev (>= 0.21.0-~~),
 librust-gio-0.21+default-dev,
 librust-gio-0.21+v2-74-dev,
 librust-glycin-3+default-dev,
 librust-glycin-3+gdk4-dev,
 librust-gtk4-0.10+default-dev,
 librust-gtk4-0.10+v4-14-dev,
 librust-gtk4-0.10+xml-validation-dev,
 librust-gufo-0.3+all-image-formats-dev,
 librust-gufo-0.3+chrono-dev,
 librust-gufo-0.3+default-dev,
 librust-gufo-common-1+default-dev,
 librust-gufo-common-1+serde-dev,
 librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
 librust-indexmap-2+default-dev,
 librust-libadwaita-0.8+default-dev,
 librust-libadwaita-0.8+v1-6-dev,
 librust-libc-0.2+default-dev (>= 0.2.158-~~),
 librust-libgweather-4+default-dev (>= 4.4.0-~~),
 librust-log-0.4+default-dev (>= 0.4.17-~~),
 librust-strum-0.26+default-dev (>= 0.26.0-~~),
 librust-strum-0.26+derive-dev (>= 0.26.0-~~),
 librust-thiserror-2+default-dev (>= 2.0.3-~~),
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
 librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~),
 librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.18-~~),
 librust-url-2+default-dev (>= 2.3.1-~~),
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Loupe/
Vcs-Browser: https://salsa.debian.org/gnome-team/loupe
Vcs-Git: https://salsa.debian.org/gnome-team/loupe.git

Package: loupe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 glycin-loaders (>= 2.0~rc+ds-~~),
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Image viewer for GNOME
 Loupe is a simple image viewer for the GNOME desktop.
 It uses glycin-loaders for image loading and decoding.
 A wide range of image formats is supported.
 Basic image editing like cropping and rotation is supported.
 Starting with GNOME 45 this is the default image viewer.
